4D for iOS License
==============

# SOFTWARE LICENSE and CONTRIBUTION AGREEMENT 4D for iOS

License is intended to cover software downloads and contributions made to 4D for iOS.

The purpose of this license agreement is to grant users the right to modify and re-use the Software library or Software governed by this License Agreement.

The exercising of this right is conditional upon the obligation to make available to the community the modifications made to the source code of the software so as to contribute to its evolution.

In consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors only have limited liability.

## Article 1 – DEFINITIONS

**_Agreement_**: means this license agreement, and its possible subsequent versions and annexes.

Software: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, "as is" when the Licensee accepts the Agreement.

**_Software Library_**: 4D for iOS Software library is the suite of data and programming code that is used to develop software programs and applications.

**_Initial Software_**: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, "as is" when it is first distributed under the terms and conditions of the Agreement.

**_Modified Software_**: means the Software modified by at least one Integrated Contribution.

**_Source Code_**: means all the Software's instructions and program lines to which access is required so as to modify the Software.

**_Object Code_**: means the binary files originating from the compilation of the Source Code.

**_Holder_**: means the holder(s) of the economic rights over the Initial Software, in this case it is 4D SAS.

**_Licensee_**: means the Software user(s) having accepted the Agreement.

**_Licensor_**: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.

**_Contribution_**: means all contributions of software and or data to 4D for iOS (including making revisions of or additions to code and/or data already in 4D for iOS.

**Integrated Contribution_**: means new functions integrated into the Source Code by any or all Contributors.

**Parties_**: mean both the Licensee and the Licensor.

**Materials_**: means all available Resources (information or Software) to be downloaded.

These expressions may be used both in singular and plural form.

## Article 2 - PURPOSE

The purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 hereinafter for the whole term of the protection granted by the rights over said Software.

This Agreement also applies to all Contributions made to 4D for iOS. If at any time you make a Contribution to 4D for iOS, you represent that you are legally authorized and entitled to make such contribution and to grant all Licenses granted in this Agreement with respect to such Contribution.

You warrant that your contributions comply with all applicable laws, including all French data protection laws
and regulations (GDPR, Loi Informatique et Liberté, etc…), and that you have preserved in the Contribution all
applicable attributions, copyright notices and licenses for any third party software or data inlcuded in the Contribution.

## Article 3 - ACCEPTANCE

The Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:

* loading the Software by any or all means, notably, by downloading from a remote server;
* the first time the Licensee exercises any of the rights granted hereunder.

Your contribution of software and/or data to 4D for iOS (including prior to the date of the first publication of this Agreement, each a "Contribution") and/or downloading, copying, modifying, displaying, distributing or use of any software and/or data from 4D for iOS (collectively, the "Software" or "Software Library") constitutes acceptance of all of the terms and conditions of this Agreement.

If you do not agree to such terms and conditions, you have no right to contribute or to download, copy, modify, display, distribute or use the Software Library.

## Article 4 - EFFECTIVE DATE AND TERM

### 4.1 EFFECTIVE DATE

The Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.

### 4.2 TERM

The Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.

## Article 5 - SCOPE OF RIGHTS GRANTED

The Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.

### 5.1 RIGHT OF USE

The Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:

* permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.
* loading, displaying, running, or storing the Software on any or all medium. 
* entitlement to observe, study or test its operation.

### 5.2 RIGHT OF MODIFICATION

The right of modification means the right to adapt, arrange, or make any or all modifications to the Software;

being understood that such modifications of the Software shall results in a change of its functionalities and/or in an addition of functionalities to the Initial Software.

Consequently to distribute a Modified Software according to the provision of section 5.3.2, the Licensee shall make exclusively significant modification as described above to the Software provided that it includes an explicit notice that it is the author of said modification and indicates the date of the creation thereof.

### 5.3 RIGHT OF DISTRIBUTION

In particular, the right of distribution includes the right to publish, transmit and communicate the Modified Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Modified Software by any means.

### 5.3.1 DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION

The Licensee is forbidden to distribute true copies of the Software in Source Code or Object Code form.

### 5.3.2 DISTRIBUTION OF MODIFIED SOFTWARE

When the Licensee creates Modified Software, this Modified Software may be distributed provided that said distribution complies with all the provisions of the Agreement and subject to compliance with the requirement to include a notice concerning the rights over the Software as defined in Article 6.3.

In the event the creation of the Modified Software, the Licensee undertakes that:

* the resulting Modified Software will be governed by this Agreement, being understood that such Agreement shall be integrated in the Modified Software the Integrated Contributions in the resulting Modified Software will be clearly identified and documented,
* the Licensee will allow effective access to the source code of the Modified Software, at a minimum during the entire period of distribution of the Derivative Software, such that such modifications may be carried over in a subsequent version of the Software.
* the Modified Software must be renamed to exclude any reference to 4D. For example, it is expressly prohibited to distribute a Modified Software named "4D SVG";Licensee shall rename the Modified Software such as "Name of the Licensee SVG". Consequently, Licensee is expressly forbidden to use 4D’s product name in general to promote his modified work.

## Article 6 - INTELLECTUAL PROPERTY

### 6.1 OVER THE INITIAL SOFTWARE

The Holder owns the intellectual property rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of
said Initial Software.

### 6.2 OVER THE INTEGRATED CONTRIBUTIONS

The Licensee who develops an Integrated Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.

### 6.3 NOTICE OF RIGHTS

The Licensee expressly undertakes:

* not to remove, or modify, in any manner, the intellectual property notices attached to the Software; 
* to reproduce said notices, in an identical manner, in the copies of the Software
modified;
* to ensure that use of the Software, its intellectual property notices and the fact that it is governed by the Agreement is indicated in a text that is easily accessible, specifically from the interface of any Modified Software.

The Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder on the Software and to take, where applicable, vis-à-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder.

## Article 7 - RELATED SERVICES

Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software. However, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument.

## Article 8 - DISCLAIMER OF WARRANTY

THERE IS NO WARRANTY FOR THE SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE HOLDER PROVIDES THE SOFTWARE "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE IS WITH LICENSEE. SHOULD THE SOFTWARE PROVE DEFECTIVE, LICENSEE ASSUMES THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

## Article 9 - LIMITATION OF LIABILITY

TO THE EXTENT POSSIBLE, IN NO EVENT WILL THE LICENSOR BE LIABLE TO LICENSEE ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE) OR OTHERWISE FOR ANY DIRECT, SPECIAL, INDIRECT, INCIDENTAL, CONSEQUENTIAL, PUNITIVE, EXEMPLARY, OR OTHER LOSSES, COSTS, EXPENSES, OR DAMAGES ARISING OUT OF THIS AGREEMENT OR USE OF THE SOFTWARE, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH LOSSES, COSTS, EXPENSES, OR DAMAGES.

## Article 10 – TERMINATION

### 10.1
In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.

### 10.2
A Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.

## Article 11 – MISCELLANEOUS

### 11.1

Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.

### 11.2
Any failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.

### 11.3
In the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.

## Article 12 - GOVERNING LAW AND JURISDICTION

### 12.1 
The Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.

### 12.2
Failing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Versailles Courts having jurisdiction, by the more diligent Party.
